Summary: HTML-Mason - Powerful Perl-based web site development and delivery engine.
Name: HTML-Mason
Version: 1.27
Release: 1mdk_bh
Source: http://masonhq.com/code/download/HTML-Mason-%{version}.tar.bz2 
Source1 : httpd-mason.conf.bz2
Patch0: %{name}-1.03-skip_question.patch.bz2
License: GPL
Group: System/Configuration/Networking
URL: http://masonhq.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig 
Requires: perl-MLDBM perl-CGI mod_perl
BuildRequires: perl-devel perl-MLDBM perl-Params-Validate
Buildarch: noarch

%description
Mason allows web pages and sites to be constructed from
shared, reusable building blocks called components. Components contain
a mix of Perl and HTML, and can call each other and pass values back
and forth like subroutines. Components increase modularity and
eliminate repetitive work: common design elements (headers, footers,
menus, logos) can be extracted into their own components where they
need be changed only once to affect the whole site.
Other Mason features include a graphical site previewing utility, an
HTML/data caching model, and the ability to walk through requests with
the Perl debugger.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p1

%build
export APACHE=%{_sbindir}/httpd-perl

%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} --defaultdeps
%{__make}

%install
rm -fr $RPM_BUILD_ROOT

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%post
cat >> /etc/httpd/conf/httpd-perl.conf <<EOF
# Mason section
Include conf/httpd-mason.conf
EOF
# restart apache
if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi

%postun
perl -p -i -e 's|# Mason section||' /etc/httpd/conf/httpd-perl.conf
perl -p -i -e 's|Include conf\/httpd\-mason.conf||' /etc/httpd/conf/httpd-perl.conf
# restart apache
if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CREDITS UPGRADE 
%{_mandir}/man3/*
%{perl_vendorlib}/Apache/*
%{perl_vendorlib}/Bundle/*
%{perl_vendorlib}/HTML/*
#%config(noreplace) %{_sysconfdir}/*

%changelog
* Wed Mar 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.03-4mdk
- fix requires & build

* Tue Sep 04 2001 Florin <florin@mandrakesoft.com> 1.03-3mdk
- add requires on perl-CGI and mod_perl
- update the /etc/httpd/conf/httpd-perl.conf
- restart the apache server in post, postun

* Thu Aug 30 2001 Florin <florin@mandrakesoft.com> 1.03-2mdk
- skip the user questions
- remove the perllocal.pod file as it conflicts with 5 pckgs

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.03-1mdk
- 1.03
- BuildRequires:	perl-devel perl-Params-Validate
- Copyright --> License

* Wed May 02 2001 Stefan van der Eijk <stefan@eijk.nu> 1.02-1mdk
- 1.02

* Wed May 02 2001 Stefan van der Eijk <stefan@eijk.nu> 0.895-2mdk
- perl 5.6.1

* Thu Dec 14 2000  Florin Grad <florin@mandrakesoft.com> 0.895-1mdk
- 0.895

* Fri Oct 13 2000  Florin Grad <florin@mandrakesoft.com> 0.89-3mdk
- change location according to apache-mod_perl
- added the samples section

* Thu Oct 12 2000  Florin Grad <florin@mandrakesoft.com> 0.89-2mdk
- remove some silly requirements (typo :)

* Tue Oct 11 2000  Florin Grad <florin@mandrakesoft.com> 0.89-1mdk
- first attempt
